function startRequest(id)
{
  url = "http://localhost/galeria.php?id=" + id;
  url = encodeURI(url);
  startGETRequest(url, onComplete, onEnd);
}

function onComplete(text, xml)
{
  arr = text.split("\n");
  if(arr.length == 2){
    if(arr[0] == 'error')
      alert(arr[1]);
    else
      alert("Nieprawidłowa odpowiedź serwera.");
  }
  else if(arr.length == 3){
    var img1 = document.getElementById('img1');
    var spanDiv = document.getElementById('spanDiv');
    var descDiv = document.getElementById('descDiv');
    img1.src = arr[2];
    descDiv.innerHTML = arr[0];
    spanDiv.innerHTML = arr[1];
  }
  else{
    alert("Nieprawidłowa odpowiedź serwera.");
  }
}

function onEnd()
{
}
